<template>
    <div class="row">
        <div class="col-12">
            <BudgetNavigation/>
        </div>
    </div>
    <div v-if="presentation">
        <div class="row mt-3">
            <div class="col-6">
                <h4>Детали отображения</h4>
            </div>
            <div class="col-6 mt-auto text-end">
                <BudgetEditModeSelector
                    v-model:editMode="editMode"/>
            </div>
        </div>
        <div class="row">
            <div class="col-12">Имя: {{presentation.name}}</div>
        </div>
        <hr/>
        <div class="row">
            <div class="col-12">
                <BudgetAliasesList
                    :municipalityId="presentation.municipalityId"
                    :presentationId="presentationId"
                    :editMode="editMode"/>
            </div>
        </div>
    </div>
</template>

<script>
    import BudgetEditModeSelector from '../BudgetEditModeSelector'
    import BudgetNavigation from '../BudgetNavigation'
    import BudgetAliasesList from '../Aliases/BudgetAliasesList'
    import { BudgetPresentationsService } from '../../services/budgetPresentationsService'
    import { defaultHandleErrorFunction } from '@/services/http-common'

    export default {
        name: 'BudgetPresentationDetails',
        components: {
            BudgetEditModeSelector,
            BudgetNavigation,
            BudgetAliasesList
        },
        props: {
            presentationId: Number
        },
        data() {
            return {
                presentation: null,
                editMode: false
            }
        },
        methods: {
            updatePresentationDetails() {
                return budgetPresentationsService
                    .getById(this.presentationId)
                    .then(response => this.presentation = response.data)
                    .catch(defaultHandleErrorFunction);
            },
        },
        created() {
            this.updatePresentationDetails();
        }
    };

    const budgetPresentationsService = new BudgetPresentationsService();
</script>